Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227651 - Missing dependencies
Summary: Missing dependencies
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: devhelp
Version: 6
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 11:59 UTC by Blayne Maring
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: Fedora 7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-05 05:05:19 UTC


Attachments (Terms of Use)

Description Blayne Maring 2007-02-07 11:59:47 UTC
On Software Update, getting the following error:
Missing Dependency: gecko-libs = 1.8.0.7 is needed by package devhelp
Additional info:

Comment 1 Blayne Maring 2007-02-09 13:47:13 UTC
The RPM causing the missing dependencies is Firefox

Comment 2 Matthew Barnes 2007-02-09 15:59:35 UTC
Make sure you have an up-to-date devhelp package.
The latest, devhelp-0.12.6-9.fc6, requires gecko-libs 1.8.0.9.

Comment 3 Mike Hammill 2007-02-12 12:45:04 UTC
I am getting the same error only with hardware == powerpc (i.e., ppc32).  I have
only been doing "yum update" since I got the machine running with FC6.

Comment 4 Carl-Johan Kjellander 2007-02-15 14:51:52 UTC
Did you guys do an update with pup/pirut that crashed X some time ago?

In this case you might have multiple programs installed according to
the rpm database. Do this:

rpm -qa | sort >~/all.rpms
less ~/all.rpms

Do you have any duplicates, i.e. packages listed twice with different
versions? You might not actually have them, but according to the
database you do.

Easiest way to work around this, is to update all the packages again
with force! If you haven't cleaned out the old updates with
'yum clean' than there is an easy way.

cd /var/cache/yum/updates/packages/
rpm -Uvh --force *.rpm

If it complains, try to figure out if you have more than one
rpm, of for instance kernel, and remove the ones with the lowest
version. And just try deleting rpms that give you trouble.
Once it starts working, it will reinstall all updates you've done
once again, and properly remove the old stale packages in the
database.

After that, a 'yum -y update' will get your system up to speed again.


Comment 5 Matthew Barnes 2007-10-05 05:05:19 UTC
This particular problem was fixed some time ago, but these dependency errors
crop up from time to time whenever we see a new Firefox version.

Closing as CURRENTRELEASE (Fedora 7).


Note You need to log in before you can comment on or make changes to this bug.